<%@ Page Language="C#" AutoEventWireup="true" CodeFile="WithWizard.aspx.cs" Inherits="WithWizard" %>

<%@ Register Assembly="Arindsoft" Namespace="Arindsoft" TagPrefix="arind" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Arindsoft Samples : AsyncFileUpload with Wizard control</title>
    <script language="javascript" type="text/javascript" src="AsyncFileUploadService.axd?ID=ScriptManager"></script>
    <link href="Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <a href="Default.aspx"><b>Home</b></a>        
        <br />
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>                
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
            
        <table style="width: 386px" cellpadding="7" cellspacing="0" border="0">
            <tr>
                <td>
                    <b>Description:</b>
                    <br />
                    This is a sample about using AsyncFileUpload control within Wizard control<br />
                    To start upload file, just follow the wizard.<br /><br />
                    <b>Note:</b>
                    <br />
                    - ASP.NET Machine Account must have a write permission on the destination folder.<br />
                    - For using AsyncFileUpload within Wizard control, the javascript declaration must be registered
                    manually. Take a look at the Source of this page at &lt;head&gt; section.
                    </td>
            </tr>
            <tr>
                <td>
                &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Wizard ID="Wizard1" runat="server" ActiveStepIndex="0" Width="550px" BackColor="#F7F6F3" BorderColor="#CCCCCC" BorderStyle="Solid" BorderWidth="1px" CellPadding="4">
                        <WizardSteps>
                            <asp:WizardStep runat="server" Title="Step 1">
                                Welcome To FileUpload Service<br />
                                <br />
                                Press Next to continue...</asp:WizardStep>
                            <asp:WizardStep runat="server" Title="Step 2">
                                Type the destination folder:<br />
                                <asp:TextBox ID="txtFolder" runat="server" Width="250px">C:\UploadedFile</asp:TextBox>
                            </asp:WizardStep>
                            <asp:WizardStep runat="server" Title="Step 3">
                                Select file to be uploaded and press upload button<br />
                                <arind:AsyncFileUpload ID="AsyncFileUpload1" runat="server" TimeOut="20" UploadStatus="uploading..." Width="350px" /><br />
                                <asp:Button ID="btnUpload" runat="server" Text="Upload" Width="65px" OnClick="btnUpload_Click" />
                            </asp:WizardStep>
                            <asp:WizardStep runat="server" Title="Step 4">
                                Thank you.</asp:WizardStep>
                        </WizardSteps>
                        <StepStyle BorderWidth="0px" ForeColor="#5D7B9D" />
                        <SideBarStyle BackColor="#7C6F57" BorderWidth="0px" Font-Size="0.9em" VerticalAlign="Top" />
                        <NavigationButtonStyle BackColor="#FFFBFF" BorderColor="#CCCCCC" BorderStyle="Solid"
                            BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" ForeColor="#284775" />
                        <SideBarButtonStyle BorderWidth="0px" Font-Names="Verdana" ForeColor="White" />
                        <HeaderStyle BackColor="#5D7B9D" BorderStyle="Solid" Font-Bold="True" Font-Size="0.9em"
                            ForeColor="White" HorizontalAlign="Left" />
                    </asp:Wizard>
                    &nbsp;<br />
                    <br />
                    Message:<br />
                    <asp:Label ID="lblMessage" runat="server" Text="[No Message]" Font-Bold="False" ForeColor="Red"></asp:Label></td>
            </tr>
        </table>
    
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
