<%@ Page Language="VB" AutoEventWireup="false" CodeFile="MultiAsync.aspx.vb" Inherits="MultiAsync" %>

<%@ Register Assembly="Arindsoft" Namespace="Arindsoft" TagPrefix="arind" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Arindsoft Samples : Multiple AsyncFileUpload in one page</title>
    <link href="Style.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <a href="Default.aspx"><b>Home</b></a>        
        <br />
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>                
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
            
        <table style="width: 386px" cellpadding="7" cellspacing="0" border="0">
            <tr>
                <td>
                    <b>Description:</b>
                    <br />
                    This is a sample about how to use multiple AsyncFileUpload control in a page
                    in order to upload more than one file to a folder.
                    <br />
                    To start upload file, 
                    just select a file for each AsyncFileUpload control, type the directory destination
                    and press 'Upload' button, then all the files will be uploaded once.<br /><br />
                    <b>Note:</b>
                    <br />
                    ASP.NET Machine Account must have a write permission on the destination folder.
                    </td>
            </tr>
            <tr>
                <td>
                &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    <arind:AsyncFileUpload ID="AsyncFileUpload1" runat="server" Width="350px" />
                    <br />
                    <arind:AsyncFileUpload ID="AsyncFileUpload2" runat="server" Width="350px" />
                    <br />
                    <arind:AsyncFileUpload ID="AsyncFileUpload3" runat="server" Width="350px" />
                    <br /><br />
                    Destination Folder:
                    <asp:TextBox ID="txtFolder" runat="server" Width="350px">C:\UploadedFile</asp:TextBox>&nbsp;<br /><br />
                    <asp:Button ID="btnUpload" runat="server" OnClick="btnUpload_Click" Text="Upload" /><br />
                    <br />
                    Message:<br />
                    <asp:Label ID="lblMessage" runat="server" Text="[No Message]" Font-Bold="False" ForeColor="Red"></asp:Label></td>
            </tr>
        </table>
    
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>

