
Partial Class UserControl_ucUploadControl
    Inherits System.Web.UI.UserControl

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            AddHandler Me.Page.LoadComplete, AddressOf Page_LoadComplete
        End If
    End Sub

    Protected Sub Page_LoadComplete(ByVal sender As Object, ByVal e As System.EventArgs)
        If Not Page.IsPostBack Then
            Me.btnUpload.OnClientClick = _
                "doAsyncUpload('" + Me.AsyncFileUpload1.AsyncID + "');"
        End If
    End Sub

    Protected Sub btnUpload_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnUpload.Click
        Me.lblMessage.Text = "[No Message]"

        Try
            Dim p As HttpPostedFile = Me.AsyncFileUpload1.PostedFile

            If Not p Is Nothing Then
                Dim fileName As String = System.IO.Path.GetFileName(p.FileName)
                Dim destFolder As String = Me.txtFolder.Text
                If Not destFolder.EndsWith("\") Then
                    destFolder += "\"
                End If

                p.SaveAs(destFolder + fileName)
                Me.lblMessage.Text = "Upload success!"
            Else
                Me.lblMessage.Text = "No file was uploaded"
            End If

        Catch ex As Exception
            Me.lblMessage.Text = ex.Source + " : " + ex.Message
        Finally
            ' this is a must!!!
            ' otherwise your system will be un-stable!!!
            Me.AsyncFileUpload1.Clear()
        End Try
    End Sub

End Class
